
QGIS Application - Bug report #257

Usability: Some UI widgets too wide or too small or badly placed

2006-09-04 11:49 PM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10316

Description

Some QGIS dialogs have bad looking widgets mainly due being too small or too large.

"Create new WMS connection" all input fields are too wide, no space between border and widget; Same applys to "Create new

[[PostGIS]] connection".

Settings->Options->Appearance->Selection color: widgets showing used color are too far to right. It looks like selection color is related to

background color. Look at "Project properties" for good color selection widget layout example.

"Project properties"->Projection: widget showing detailed information about selected projection is always too small. It should be able to

show at least full 3 rows, as 2 rows contain SRID's.

"Area measure tool" dialog also could be a bit wider, as normally there fit only areas smaller than 999 (1000 km2 will be too wide for

default dialog width).

OS: GNU/Linux x86

Qt: 4.1.2

QGIS: 05.09.2006. SVN

History

#1 - 2006-09-05 04:01 AM - Gavin Macaulay -

Done in SVN commit:e2406654 (SVN r5762)

Have a look and see if they're okay.

The lack of space in the wms and postgis dialogs looks to be caused by a bug in qt4, but I've hopefully worked around that.

#2 - 2006-09-07 03:39 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

I think that these are resolved, so I'll close it.
#3 - 2006-09-08 01:41 PM - anonymous -

They all are OK now. TNX for great job :)

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
